Name:          jarbundler	
Version:       2.2.0
Release:       12%{?dist}
Summary:       A feature-rich Ant task which will create a Mac OS X application bundle
License:       ASL 2.0
URL:           http://informagen.com/JarBundler/
Source0:       http://informagen.com/JarBundler/dist/%{name}.tar.gz
Source1:       %{name}-template-pom.xml
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: java-devel

Requires:      ant
Requires:      jpackage-utils

BuildArch:     noarch

%description
How many times has this happened to you? You've written a little 
Java utility, or maybe even a more complex application, and you 
want to create Mac OS X application bundle for easy distribution.

You'd like to be able to do it automatically from your build 
process, but you're forced to go run the Apple Jar Bundler and 
tweak all the settings manually every time you build.

Well no more! JarBundler is a feature-rich Ant task which will 
create a Mac OS X application bundle from a list of Jar files and 
a main class name. You can add an Icon resource, set various Mac 
OS X native look-and-feel bells and whistles, and maintain your 
application bundles as part of your normal build and release 
cycle. It is free software licensed under the GNU General Public 
License.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}


find -name '*.class' -delete
find -name '*.jar' -delete

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml

sed -i 's|source="1.4"|source="1.5" target="1.5"|' build.xml
sed -i 's|/Developer/Java/Ant/lib/ant.jar|%{_javadir}/ant.jar|' build.xml
sed -i 's|<javadoc destdir="javadoc" classpath="${ant.jar}">|<javadoc destdir="javadoc" classpath="${ant.jar}:build/${jarbundler.jar}">|' build.xml

%build

ant jar javadocs

%install

# jars
mkdir -p %{buildroot}%{_javadir}/ant
install -pm 644 build/%{name}-%{version}.jar \
 %{buildroot}/%{_javadir}/%{name}.jar
ln -s ../%{name}.jar  %{buildroot}/%{_javadir}/ant/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p  %{buildroot}/%{_javadocdir}
cp -rp javadoc %{buildroot}/%{_javadocdir}/%{name}

mkdir -p  %{buildroot}/%{_sysconfdir}/ant.d
echo "%{name}" >  %{buildroot}/%{_sysconfdir}/ant.d/%{name}

%files -f .mfiles
%config(noreplace) %{_sysconfdir}/ant.d/%{name}
%{_javadir}/ant/%{name}.jar
%license LICENSE.TXT

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.TXT

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 2.2.0-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.0-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 24 2013 gil cattaneo <puntogil@libero.it> 2.2.0-6
- adapt to current guideline
- fix some rpmlint problems
- add maven pom

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Apr 21 2011 Johannes Lips <johannes.lips@googlemail.com> - 2.2.0-1
- Update to 2.2.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-5
- changed Group of the javadoc package
- consistent usage of  %%{buildroot}

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-4
- added installation procedure

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-3
- Javadoc included

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-2
- License changed
- integration into ant.d
- added the %%doc section

* Thu Aug 26 2010 Johannes Lips <johannes.lips@googlemail.com> - 2.1.0-1
- initial build
